Subject: [PATCH 2.5] kbuild error for mips (and possibly others)

From: Brian Murphy <[email-masked]>
Date: Tue, 15 Jul 2003 21:42:40 +0200

Hi,
	there is a very annoying error in the 2.5 kbuild process
where the generation of the elfconfig.h file depends on the proper
configuration of the kernel being available (for mips at least) 
but configuring the kernel disallows the inclusion of the .config file
and thus the configuration and specifically CROSS_COMPILE is not set. 
This causes empty.o to fail to build because CC is now gcc and not 
mips(el)-linux-gcc and the -G option to gcc is invalid for my cross
compiler.

This patch fixes the problem. It also makes the *config targets 
not dependant on having the helper programs in scripts/ compiled
which they shouldn't be. They are not necessary.

/Brian

Index: scripts/Makefile
===================================================================
RCS file: /cvs/linux/scripts/Makefile,v
retrieving revision 1.20
diff -u -r1.20 Makefile
--- scripts/Makefile	5 Jun 2003 10:06:44 -0000	1.20
+++ scripts/Makefile	15 Jul 2003 19:28:29 -0000
@@ -7,6 +7,7 @@
 #                include/config/...
 # docproc: 	 Preprocess .tmpl file in order to generate .sgml docs
 # conmakehash:	 Create arrays for initializing the kernel console tables
+ifdef include_config
 
 host-progs	:= fixdep split-include conmakehash docproc kallsyms modpost \
 		   mk_elfconfig pnmtologo
@@ -33,3 +34,5 @@
 	$(call if_changed,elfconfig)
 
 targets += elfconfig.h
+
+endif

---

From: [email-masked] (Steven Seeger)
Date: Tue, 15 Jul 2003 15:40:23 -0700

My board runs userland apps that makes use of SIGUSR1. When I did a cvs
update today and recompiled the kernel, when I run my app it quits with
"User defined signal 1" and bails. The signal is delivered a pthread_kill
command. The app runs about 8 or 9 threads all blocking on various IO with
various priority levels. I boot the old kernel back up and it runs fine.

Board is running an NECVR4181
Toolchain is a uclibc something.19 (building 20 now) with gcc 3.3 and the
latest binutils

I have the 2.4.21 kernel and I did a cvs update on it today.

If anyone has any ideas I'd appreciate knowing.

Thanks!

Steve